aboutsummaryrefslogblamecommitdiffstats
path: root/community/ruby-rdiscount/fix-rakefile.patch
blob: 9a0effd84c726677437fbbf785f0c97cfc31a523 (plain) (tree)
1
2
3
4
5
6
7
8
9
10
11
12











                                                   
Ruby 2.5+ doesn't support option -rubygems anymore.

--- a/Rakefile
+++ b/Rakefile
@@ -53,7 +53,6 @@
 require 'rake/testtask'
 Rake::TestTask.new('test:unit') do |t|
   t.test_files = FileList['test/*_test.rb']
-  t.ruby_opts += ['-rubygems'] if defined? Gem
 end
 task 'test:unit' => [:build]